EMF::EMRMODIFYWORLDTRANSFORM Class Reference

EMF Modify World Transform. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRMODIFYWORLDTRANSFORM:

## Public Member Functions

| EMRMODIFYWORLDTRANSFORM (const XFORM *transform, DWORD mode)
| EMRMODIFYWORLDTRANSFORM (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Modify World Transform.

Enhanced metafiles have a Coordinate Transformation which allows the contents to be rotated and transformed. Does not appear to work properly in StarOffice (but it's also possible I don't understand how it's supposed to work either).

## Constructor & Destructor Documentation

## EMRMODIFYWORLDTRANSFORM() [1/2]

EMF::EMRMODIFYWORLDTRANSFORM::EMRMODIFYWORLDTRANSFORM | ( | const XFORM * | transform,
|  | DWORD | mode )

inline

Parameters

  transform | the transformation to apply
  mode | the mode of the transformation application (namely, pre- or post-multiply)

References EMRMODIFYWORLDTRANSFORM().

Referenced by EMRMODIFYWORLDTRANSFORM().

## EMRMODIFYWORLDTRANSFORM() [2/2]

EMF::EMRMODIFYWORLDTRANSFORM::EMRMODIFYWORLDTRANSFORM | ( | DATASTREAM & | ds | ) |

inline

Construct a ModifyWorldTransform from the input datastream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRMODIFYWORLDTRANSFORM::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRMODIFYWORLDTRANSFORM::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRMODIFYWORLDTRANSFORM::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h